package com.persagy.sso.client.fallback;

import com.persagy.sso.client.FmPersonClient;
import com.persagy.sso.client.SaasAccountClient;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author xgq
 */
@Component
@Slf4j
public class SaasAccountClientFallbackFactory implements FallbackFactory<SaasAccountClient> {
    @Override
    public SaasAccountClient create(Throwable throwable) {
        log.error("连接saas-account服务出错",throwable);
      //  return ResponseResultUtil.errorResult(ResponseCode.C0001.getCode(), ResponseCode.C0001.getDesc());
        return null;
    }


}
