package com.persagy.sso.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.persagy.common.service.impl.SuperServiceImpl;
import com.persagy.sso.mapper.UserMapper;
import com.persagy.sso.pojo.dto.WdUser;
import com.persagy.sso.service.IUserService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-13 14:55:06
 */
@Service
public class UserServiceImpl extends SuperServiceImpl<UserMapper, WdUser> implements IUserService {
    @Override
    @DS("syn")
    public void createWdUser() {
        WdUser wdUser ;
        List<String> list = new ArrayList<>();
        for (int i = 1001; i <= 1050 ; i++) {
            wdUser = new WdUser();
            wdUser.setEmployeeID("EM"+i);
            wdUser.setEmployeeCode("EM"+i);
            wdUser.setEmployeeName("测试数据EM" + i);
            wdUser.setGender("1");
            wdUser.setUsername("test"+i);
            wdUser.setOrgID("BM"+i);
            wdUser.setOrgName("部门名称"+i);
            wdUser.setJobId("GW"+i);
            wdUser.setJobName("岗位"+i);
            boolean result =   this.save(wdUser);
            list.add(result ? wdUser.getEmployeeID() + "保存成功" : wdUser.getEmployeeID() + "保存失败");
        }
    }
}
