package com.persagy;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

import com.persagy.common.annotation.EnableIdGenerator;
import com.persagy.log.annotation.EnableControllerLog;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年2月26日:	下午4:35:08
 */
@EnableIdGenerator
@EnableControllerLog
@SpringBootApplication
@EnableFeignClients(basePackages = "com.persagy.account.client")
public class AccountServerApplication {
	
	public static void main(String[] args) {
		SpringApplication.run(AccountServerApplication.class, args);
	}
	
}
