package com.persagy.common.model;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月1日:	下午2:18:26
 */
@Getter
@Setter
@ApiModel
@ToString(callSuper = true)
public class BaseGroupModel extends BaseUserModel {

	@NotBlank(message = "集团编码，不可为空")
	@ApiModelProperty(value = "集团编码，作为SQL条件", required = true, example = "RC")
	private String groupCode; 	// 所属集团编码
	
}
