package com.persagy.common.model;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月1日:	下午2:17:10
 */
@Getter
@Setter
@ApiModel
@ToString
public class BaseUserModel {
	
	@NotBlank(message = "账号ID，不可为空")
	@ApiModelProperty(value = "账号ID", required = true, example = "RY56122123152")
	private String accountId; 	// 当前账号ID

	//@NotBlank(message = "账号归属，不可为空")
	@ApiModelProperty(value = "账号归属", required = true, example = "0")
	private String accountBelong; 	// 当前账号归属
	
	//@NotBlank(message = "应用ID，不可为空")
	@ApiModelProperty(value = "应用ID， PC-电脑端，APP-手机应用端", example = "PC")
    private String appId;
	
}
